PDA

View Full Version : zend optimizer error :-(


rankx55
25th January 2011, 08:04 PM
Hi all
I am trying to install cj instead my usual software to manage traffic.
I have a problem with zend optimizer.
I installed it but when I click on "cjoverkill-install.php" I have this answer by server:
"Zend Optimizer not installed".

Installation of Zend has modified the "php.ini" as follow

[Zend]
zend_extension_manager.optimizer_ts="C:\Programmi\Zend\ZendOptimizer-3.3.0\lib\Optimizer-3.3.0"
zend_extension_ts="C:\Programmi\Zend\ZendOptimizer-3.3.0\lib\ZendExtensionManager.dll"

where I wrong installing zend?

Please, could someone help me?

ICEFIRE
25th January 2011, 08:42 PM
From what you write, I assume your server is running some Windows version.
Just make sure you have downloaded the correct zend optimizer package for your windows version. As long as I know, while the linux versions have po problems when installed on different linux versions, the windows ones are more strict with that requirement.

Also once you have installed the zend optimizer you need to stop and start your web service to force it load the zend libraries.

rankx55
25th January 2011, 08:47 PM
Thanks for the suggestion. I'll check the version and I'll try again.
hoping in good news, regards

rankx55
25th January 2011, 09:07 PM
From what you write, I assume your server is running some Windows version.
Just make sure you have downloaded the correct zend optimizer package for your windows version. As long as I know, while the linux versions have po problems when installed on different linux versions, the windows ones are more strict with that requirement.

Also once you have installed the zend optimizer you need to stop and start your web service to force it load the zend libraries.

I installed this product Version: Zend Optimizer 3.2.4 (Runtime for PHP 5.2 and earlier). I have PHP 5.3.1 as release. May be possible that the two releases don't run properly cause this? My OS is XP sp3

Pheraps Zend Guard Loader (Runtime for PHP 5.3) is the right release?

have you an idea of the right release to download and where can I download it?
I wish really try this software, I have too much problems with mine :mad:

thanks a lot for support

ICEFIRE
25th January 2011, 10:14 PM
Better install php 5.2.x and then run with the zend optimizer for php 5.2.x

CjOverkill has not been extensively tested with php 5.3.

You can download php from http://www.php.net/downloads.php
You can download Zend Optimizer from http://www.zend.com/en/products/guard/downloads

rankx55
29th January 2011, 04:34 PM
hi man
I did what you suggested me, but the result is the same.
may be possible that I wrong...indeed, is surely my wrong.
I have nowinstalled on my PC:
XAMPP [PHP: 5.2.8] and Zend Optimizer 3.3.0

Zend has installed his files into
C:\lib\Optimizer-3.3.0 and C:\xampp\php\zendOptimizer\lib\Optimizer

This is the old php.ini for zend:
[Zend]
zend_extension_ts="C:\lib\ZendExtensionManager.dll"
zend_extension_manager.optimizer_ts="C:\lib\Optimizer-3.3.0"
zend_optimizer.enable_loader = 0
zend_optimizer.optimization_level=15
;zend_optimizer.license_path =
; Local Variables:
; tab-width: 4
; End:


and this is the new one after zend installation:
[Zend]
zend_extension_ts = "\xampp\php\zendOptimizer\lib\ZendExtensionManager. dll"
zend_extension_manager.optimizer_ts = "\xampp\php\zendOptimizer\lib\Optimizer"
zend_optimizer.enable_loader = 0
zend_optimizer.optimization_level=15
;zend_optimizer.license_path =
; Local Variables:
; tab-width: 4
; End:

I tryed to run both, but the answer from server is always:
Zend Optimizer not installed....
I surrender myself.
:mad:
have you any other suggestion?

rankx55
29th January 2011, 04:38 PM
sorry, I forgot to say you that this time after zend installation reading php info I finally have the notice

This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with Zend Extension Manager v1.2.0, Copyright (c) 2003-2007, by Zend Technologies
with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies

With php 5.3.1 I haven't this notice.

:)

ICEFIRE
29th January 2011, 06:32 PM
I think that the zend_optimizer.enable_loader option should be set to 1.
Not sure anyways, because it deffinitely seems a bit different for windows servers than on unix/linux like servers.

rankx55
2nd February 2011, 11:33 AM
I set to 1 zend_optimizer.enable_loader option and now the error is different...

Fatal error: Incompatible file format: The encoded file has format major ID 1024, whereas the Optimizer expects 2 in C:\xampp\htdocs\Pornovideoking\index.php on line 0

could you continue to suggest me probable setting errors?

tks fabio

ICEFIRE
2nd February 2011, 04:02 PM
No idea.

You should take a look at the zend manual or the install file that comes with the optimizer version you downloaded. It's deffinitely something related to the windows version because the linux/unix versions always work with just a copy and paste of the install file config example.

rankx55
3rd February 2011, 05:13 PM
hi man
finally, setting up and down short items, the script runs.....

ahhhhhhhhhhh, thanks for the support.

bye fabio:):):)